//
//  QGOrientationSwitch.h
//  Immutation
//
//  Created by Matthew McCowan on 4/12/07.
//  Copyright 2007 Quickgigs, Inc.. All rights reserved.
//

#import "QGFoundation.h"
#import "QGImageCommons.h"
#import "QGImageManager.h"
#import "QGChainManager.h"
#import "QGView.h"

@interface QGOrientationSwitch : QGView 
{
	// State
	QGOrientationValue  orientation;
	QGLayoutValue       layout;
	int                 count;
	
	// Child Buttons
	IBOutlet NSButton       *originalButton;
	IBOutlet NSButton       *outputButton;
	
	// Information Sources
	IBOutlet QGImageManager *imageManager;
	IBOutlet QGChainManager *chainManager;

	// Button Images
	NSImage *singleImage;
	NSImage *portraitImage;
	NSImage *landscapeImage;
}

// Properties
- (QGOrientationValue) orientation;
- (QGLayoutValue) layout;
- (int) imageCount;

// State
- (void) setOrientation:(QGOrientationValue)newOrientation;
- (void) setNextOrientation;
- (void) updateButtons;
- (void) setNewState;
- (void) setViewingNewState;
- (void) setChainNewState;

// Actions
- (IBAction) changeOriginalButton:(id)sender;
- (IBAction) changeOutputButton:(id)sender;
- (void) libraryHasUpdated:(NSNotification *)note;
- (void) chainHasUpdated:(NSNotification *)note;

@end
